Bug 1376784 - segfault when Reapplying slave connection, without changes
Summary: segfault when Reapplying slave connection, without changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
: 1377589 (view as bug list)
Depends On: 1376446
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-16 12:06 UTC by Thomas Haller
Modified: 2016-11-03 19:30 UTC (History)
13 users (show)

Fixed In Version: NetworkManager-1.4.0-9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1376446
Environment:
Last Closed: 2016-11-03 19:30:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Thomas Haller 2016-09-16 12:06:45 UTC
+++ This bug was initially created as a clone of Bug #1376446 +++

Description of problem:
When I try to call Reapply of a bond slave ethernet connection NetworkManager crashes with a segfault (based on log in journalctl). This is using the interface exposed over D-Bus, using python.

Version-Release number of selected component (if applicable):
NetworkManager-1.4.0-4.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1. add bond connection
2. add slave ethernet connection
3. activate bond connection
4. activate slave connection
5. call Reapply on the device that the slave connection is applied on

Actual results:
Crash with segfault.

Expected results:
Nothing happens. Maybe an error of an invalid or "empty" operation.


Additional info:
python reproducer attached, example use:
./nm_reproducer.py ens9 52:54:00:38:c4:24



----

a crash, with a trivial fix.

Comment 4 Vladimir Benes 2016-09-19 21:10:52 UTC
working well in 1.4.0-9.el7

Comment 5 Beniamino Galvani 2016-09-20 07:49:06 UTC
*** Bug 1377589 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2016-11-03 19:30:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.